#!/usr/bin/python

import numpy as np
import scitools.easyviz as ev 

import time

###### input section  ######
n = 72           # number of intervals
step = 360.0/n   # interval step
############

dist = np.zeros(n,dtype=np.int)  # allocate the distribution array

a = np.loadtxt('fort.11')     # load the file and store the values in a new ndarray
b = a[:,1].copy()             # get the second column of a and store it in a new array


for i in xrange(b.size):
  cont=int(b[i]/step)  
  dist[cont] += 1

x = np.linspace(0,360,n)

ev.plot(x,dist)

#for i in xrange(n):
#  print i*step, dist[i]/float(b.size)
